using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.IFramework
{
    /// <summary>
    ///
    /// </summary>
    public interface IOutService
    {
        T HttpGet<T>(string url);
        string HttpGet(string url);
        string HttpPost(string url, string data);
        T HttpPost<T>(string url, string data);
        Task<Meta> Post(string url, Dictionary<string, object> dic);
    }
}
